org.apache.solr.handler.extraction

## Class ExtractingDocumentLoader

- java.lang.Object
- - org.apache.solr.handler.loader.ContentStreamLoader
  - - org.apache.solr.handler.extraction.ExtractingDocumentLoader

-     public class ExtractingDocumentLoader
      extends ContentStreamLoader

  The class responsible for loading extracted content into Solr.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExtractingDocumentLoader.MostlyPassthroughHtmlMapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.tika.parser.AutoDetectParser` | `autoDetectParser`
    `protected org.apache.tika.config.TikaConfig` | `config`
    `protected SolrContentHandlerFactory` | `factory`
    `protected ParseContextConfig` | `parseContextConfig`
    `static String` | `TEXT_FORMAT` Extract Only supported format
    `static String` | `XML_FORMAT` Extract Only supported format.

    - ### Fields inherited from class org.apache.solr.handler.loader.ContentStreamLoader

      `pollQueueTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtractingDocumentLoader(SolrQueryRequest req, UpdateRequestProcessor processor, org.apache.tika.config.TikaConfig config, ParseContextConfig parseContextConfig, SolrContentHandlerFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `load(SolrQueryRequest req, SolrQueryResponse rsp, ContentStream stream, UpdateRequestProcessor processor)`

    - ### Methods inherited from class org.apache.solr.handler.loader.ContentStreamLoader

      `getDefaultWT, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEXT_FORMAT

          public static final String TEXT_FORMAT

      Extract Only supported format
      See Also:
        Constant Field Values

    - #### XML_FORMAT

          public static final String XML_FORMAT

      Extract Only supported format. Default
      See Also:
        Constant Field Values

    - #### autoDetectParser

          protected org.apache.tika.parser.AutoDetectParser autoDetectParser

    - #### config

          protected org.apache.tika.config.TikaConfig config

    - #### parseContextConfig

          protected ParseContextConfig parseContextConfig

    - #### factory

          protected SolrContentHandlerFactory factory

  - ### Constructor Detail

    - #### ExtractingDocumentLoader

          public ExtractingDocumentLoader(SolrQueryRequest req,
                                          UpdateRequestProcessor processor,
                                          org.apache.tika.config.TikaConfig config,
                                          ParseContextConfig parseContextConfig,
                                          SolrContentHandlerFactory factory)

  - ### Method Detail

    - #### load

          public void load(SolrQueryRequest req,
                           SolrQueryResponse rsp,
                           ContentStream stream,
                           UpdateRequestProcessor processor)
                    throws Exception

      Specified by:
        `load` in class `ContentStreamLoader`
      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.